FastMount link points to the new version but the link itself states the older version, should be corrected.